#version 430 core
/*
* Separate fragment-shader for postprocessing stage with brightness-calculation
* Eva 
*
Sources: 
* https://learnopengl.com/code_viewer_gh.php?code=src/4.advanced_opengl/5.1.framebuffers/5.1.framebuffers_screen.fs
* http://wes-uoit-comp-graphics.blogspot.com/2013/04/post-processing-levels-brightness.html
*/

out vec4 FragColor;
in vec2 TexCoords;

uniform sampler2D screenTexture;
uniform float brightnessValue;

void main()
{
    vec3 col = texture(screenTexture, TexCoords).rgb + brightnessValue;
    FragColor = vec4(col, 1.0);
} 