#version 430 core

in VertexData {
	vec3 position_world;
	vec3 normal_world;
	vec2 uv;
} vert;

in vec2 TexCoords;

out vec4 FragColor;

uniform sampler2D diffuseTexture;

void main() {	
	
	vec3 texColor = texture(diffuseTexture, vert.uv).rgb;

	FragColor = vec4(texColor, 1.0f);
}

